Bug 289661 - system-config-selinux: basic config fails
Summary: system-config-selinux: basic config fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-13 18:09 UTC by Need Real Name
Modified: 2008-01-21 15:42 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 15:42:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2007-09-13 18:09:54 UTC
Creating a policy that allows a User program to access port 443 fails with:

# sh xyz.sh 
Compiling targeted xyz module
/usr/bin/checkmodule:  loading policy configuration from tmp/xyz.tmp
xyz.te:12:ERROR 'unknown type xyz_t' at token ';' on line 81332:
#line 12
        allow xyz_t self:tcp_socket { create { ioctl read getattr write setattr
append bind connect getopt setopt shutdown } };
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make: *** [tmp/xyz.mod] Error 1
/usr/sbin/semodule:  Could not read file 'xyz.pp':
/sbin/restorecon reset /usr/bin/xyz context
system_u:object_r:bin_t:s0->system_u:object_r:bin_t:s0

Comment 1 Daniel Walsh 2007-09-18 18:25:20 UTC
Fixed in policycoreutils-2.0.16-12.fc7.src.rpm



Note You need to log in before you can comment on or make changes to this bug.